A student's open lab: learning and sharing, free for everyone.

SIP UniverseFree University

Home / NAT, ICE, and the ALG problem / STUN server-reflexive addresses

STUN server-reflexive addresses

STUN, RFC 8489, lets a client learn the address a server sees. It obsoletes RFC 5389.

Learn in 5 minutes

  1. State that RFC 8489 obsoletes RFC 5389 and where status is decided
  2. Describe a Binding request as a way to learn a server-reflexive address
  3. Keep STUN separate from a SIP registrar

Visual

Binding request, then a SIP offer · study drawing · cyphermonkeylabs.com ClientSTUNCarrier Binding Mapped INVITE 200

SVG HTML PNG

The reflexive address is what STUN observed. It is not a SIP Contact by itself.

Worked example

Separate STUN text from SIP The capture has a STUN note and a SIP 200 OK. Only one of them is a Binding result.

  1. Press Extract SIP.
  2. Confirm the SIP message is the 200 OK.
  3. Read the STUN lines that the extractor will not treat as SIP.

Fault

A Binding success is logged and the phone is marked registered. No SIP REGISTER occurred.

RFC 8489 is STUN. SIP registration is still REGISTER, authenticated under RFC 3261.

Quiz

The current STUN specification is


A Binding request learns


STUN is


srflx means


STUN alone may fail when


The status of RFC 5389 is decided by


Ecosystem

Glossary, sister systems, and the integration seam for this room.

E911 / emergency calling Location has to ride with the call. RFC 6881 is the BCP, RFC 6442 carries location in SIP, and the FCC MLTS page states Kari’s Law and RAY BAUM’s Act obligations for multi-line systems.

Glossary · Ecosystem map · Ports · Troubleshooting

Sources and go deeper